%global modulename cli-table3

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cli-table3
Version:        0.5.1
Release:        2%{?dist}
Summary:        Pretty unicode tables for the command line. Based on the original cli-table.

License:        MIT
URL:            https://github.com/cli-table/cli-table3
Source0:        https://registry.npmjs.org/cli-table3/-/cli-table3-0.5.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(object-assign) >= 4.1.0 with npmlib(object-assign) < 5.0.0))
BuildRequires:  ((npmlib(string-width) >= 2.1.1 with npmlib(string-width) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Pretty unicode tables for the command line. Based on the original cli-table.

%package 0.5.1
Summary:        Pretty unicode tables for the command line. Based on the original cli-table.


%description 0.5.1
Pretty unicode tables for the command line. Based on the original cli-table.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.5.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 0.5.1-2
- Package automatically generated by npm2srpm
